Bug 1438069 - Cannot set MTU > 1500 on OVS port with kernel 4.10
Summary: Cannot set MTU > 1500 on OVS port with kernel 4.10
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-31 19:26 UTC by Ian Pilcher
Modified: 2017-04-14 12:57 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-04-14 12:57:19 UTC


Attachments (Terms of Use)

Description Ian Pilcher 2017-03-31 19:26:48 UTC
This worked up through kernel-4.9.14-200.fc25.x86_64 but doesn't work on kernel-4.10.5-200.fc25.x86_64 or later.

$ sudo ovs-vsctl show
0077fc52-0f13-4ddb-bb5c-a8e2017fbe24
    Bridge "ovs0"
        Port "bond0"
            Interface "bond0"
        Port "ovs0"
            Interface "ovs0"
                type: internal

$ ifconfig bond0
bond0: flags=5187<UP,BROADCAST,RUNNING,MASTER,MULTICAST>  mtu 8996
        inet6 fe80::f4b5:4ff:fe4a:9bf0  prefixlen 64  scopeid 0x20<link>
        ether f6:b5:04:4a:9b:f0  txqueuelen 1000  (Ethernet)
        RX packets 1161  bytes 975770 (952.9 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0                                                 
        TX packets 41  bytes 4846 (4.7 KiB)                                                          
        TX errors 0  dropped 2 overruns 0  carrier 0  collisions 0 

$ sudo ifconfig ovs0 mtu 8996                                                          
SIOCSIFMTU: Invalid argument

$ dmesg | tail -n 1
[  360.667894] ovs0: Invalid MTU 8996 requested, hw max 1500

Comment 1 Timothy Redaelli 2017-04-04 08:25:59 UTC
Upstream comment [1]:

I suspect this was fixed in upstream net-next commit 425df17ce3a2
("openvswitch: Set internal device max mtu to ETH_MAX_MTU.") [2].

Not sure what the backporting status of this patch is, or whether
Fedora picked it up yet.

[1] https://mail.openvswitch.org/pipermail/ovs-discuss/2017-March/044092.html
[2] https://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next.git/commit/?id=425df17ce3a2

Comment 2 Jarod Wilson 2017-04-04 20:34:36 UTC
(In reply to Timothy Redaelli from comment #1)
> Upstream comment [1]:
> 
> I suspect this was fixed in upstream net-next commit 425df17ce3a2
> ("openvswitch: Set internal device max mtu to ETH_MAX_MTU.") [2].
> 
> Not sure what the backporting status of this patch is, or whether
> Fedora picked it up yet.
> 
> [1] https://mail.openvswitch.org/pipermail/ovs-discuss/2017-March/044092.html
> [2]
> https://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next.git/commit/
> ?id=425df17ce3a2

Huh, I thought all the mtu fixups got cc'd for stable, so I'd have expected them to be in 4.10.x by now, but nope. There were similar fixes for the bonding and team drivers as well.

Comment 3 Ian Pilcher 2017-04-14 12:57:19 UTC
Working again in 4.11.0-0.rc6.git3.1.fc25.x86_64 (built from https://kojipkgs.fedoraproject.org//packages/kernel/4.11.0/0.rc6.git3.1.fc27/src/kernel-4.11.0-0.rc6.git3.1.fc27.src.rpm)


Note You need to log in before you can comment on or make changes to this bug.